{
    "editor.formatOnSave": true,
    "typescript.format.enable": true,
    "typescript.preferences.quoteStyle": "single",
    "[json]": {
        "editor.defaultFormatter": "vscode.json-language-features"
    },
    "prettier.enable": false,
    "[typescript]": {
        "editor.defaultFormatter": "vscode.typescript-language-features",
        "editor.codeActionsOnSave": {
            "source.organizeImports": true,
            // "source.fixAll": true
        }
    },
    "javascript.preferences.quoteStyle": "single",
    "javascript.preferences.importModuleSpecifierEnding": "minimal",
    "typescript.preferences.importModuleSpecifierEnding": "minimal",
    "typescript.preferences.includePackageJsonAutoImports": "on"
}